#
# spec file for package perl-Socket6
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define cpan_name Socket6
Name:           perl-Socket6
Version:        0.28
Release:        1.17
Summary:        IPv6 Sockets (Perl Module)
License:        BSD-3-Clause
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Socket6/
Source:         http://www.cpan.org/authors/id/U/UM/UMEMOTO/%{cpan_name}-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
The IPv6 related part of the C socket.h defines and structure
manipulators.

%prep
%setup -q -n Socket6-%{version}

%build
perl Makefile.PL
make %{?_smp_mflags}

%check
make %{?_smp_mflags} test

%install
make DESTDIR=%{buildroot} install_vendor
%perl_process_packlist

%files
%{perl_vendorarch}/auto/Socket6
%{perl_vendorarch}/Socket6.pm
%{_mandir}/man3/Socket6.3pm%{ext_man}
%doc MANIFEST README ChangeLog

%changelog
* Sat Dec 23 2017 avindra@opensuse.org
- updated to 0.28
  * aclocal.m4 (IPv6_CHECK_INET_NTOP): inet_ntop(3) may returns
    IPv4-compatible IPv6 address. [cpan #113950]
- includes fix from 0.27
  * t/use.t: We still support an environment where AF_INET6 is
    not defined
- includes changes from 0.26
  * Makefile.PL: Make Socket6 buildable on Android. [cpan #98181]
  * system inet_ntop broken in darwin. [cpan #113005]
  * gailookup.pl.in: Add -r option to do reverse lookup
  * gailookup.pl.in: Add awareness of AI_ALL and AI_V4MAPPED
  * gailookup.pl.in: Add -P option to ease to specify port number
- cleanup spec file with spec-cleaner
- split tests into %%check section
* Mon Dec  9 2013 coolo@suse.com
- updated to 0.25
  * Makefile.PL: Install manpage. [cpan #66811]
  * Socket6.pm: Fix typo. [cpan #86346]
  * Socket6.pm: Fix typo. [cpan #71617]
  * Makefile.PL: Fixed [cpan #77665] pass perl cc and ccflags to
    configure
  * Makefile.PL (configure_mswin32): Fixed [cpan #65710]
    undefined ref to inet_ntop,inet_pton on Windows XP.
  * t/use.t: Fixed [cpan #75211] test redefinition warnings
* Thu Jan 12 2012 jw@suse.com
- license update: BSD-3-Clause
  was plain wrong for years.
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Mon Feb  8 2010 coolo@novell.com
  * update to version 0.23.
  * Socket6.pm: Added @EXPORT_OK to export AF_INET6 and PF_INET6 if
    requested.  This allows the use of the Socke6 module without
    having to perform the same conditional check that was added to
    avoid conflicts with the Socket module default exports (i.e. use
    Socket6 qw(AF_INET6 inet_pton inet_ntop); )
  * Socket6.pm (AUTOLOAD): Explicitly set $! = 0 before calling
    constant().  This should not be required since errno was being set
    to 0 in the C function, but Perl 5.10.0 Win32 Vista needed this to
    be done or all constants reported unsupported.
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Oct 29 2008 mls@suse.de
- update to Socket6-0.22, fixes bnc#426256
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jul 29 2005 mls@suse.de
- Update to Socket6-0.18
* Mon Aug 16 2004 garloff@suse.de
- Update to Socket6-0.17:
  * Build fixes Solaris and Win32.
  * Minor bugfixes (compiler warnings, etc.).
* Mon Feb 16 2004 garloff@suse.de
- Update to Socket6-0.14.
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 garloff@suse.de
- Initial creation of package.
